## friso 1.6.4+ds

=== Makefile ===
# Makefile for compiling Friso out of source directory
# @Author	chenxin<chenxin619315@gmail.com>

# Targets start here.
all testing static share install clean:
	cd src && $(MAKE) $@

# echo config parameters
echo:
	@echo "INSTALL_TOP= $(INSTALL_TOP)"
	@echo "INSTALL_BIN= $(INSTALL_BIN)"
	@echo "INSTALL_INC= $(INSTALL_INC)"
	@echo "INSTALL_LIB= $(INSTALL_LIB)"
	@echo "INSTALL_EXEC= $(INSTALL_EXEC)"
	@echo "INSTALL_DATA= $(INSTALL_DATA)"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all clean echo

# (end of Makefile)

=== src/Makefile ===
#############################################################
# friso chinese word segmentation makefile.		            #
#		do not use it for commercial use.	                #
# @author	lionsoul 				                        #
# @email	chenxin619315@gmail.com   		                #
#############################################################

#complie
CC = gcc
#include directory
INCLUDE = .
#complie flags for devolep
CFLAGS = -g -Wall
#complile flags for products
FFLAGS = -O2 -Wall -fPIC
#FFLAGS = -g -Wall -fPIC
#extension libs for friso
ELIB = m
LIB_FILE = libfriso.so
STA_FILE = libfriso.a
LIBRARY_DIR = /usr/lib
INCLUDE_DIR = /usr/local/include/friso
INSTALL_DIR = /usr/local/bin


OBJECT = friso.o friso_array.o friso_hash.o friso_lexicon.o friso_link.o friso_string.o friso_ctype.o friso_UTF8.o friso_GBK.o
SOURCE = friso_ctype.c friso_hash.c friso_UTF8.c friso_lexicon.c friso_array.c friso_GBK.c friso_link.c friso.c friso_string.c

all: share friso

static: $(OBJECT)
	ar -cr $(STA_FILE) $(OBJECT)

share: $(OBJECT)
	$(CC) $(FFLAGS) $(OBJECT) -fPIC -shared -l$(ELIB) -o $(LIB_FILE)

##debug: $(SOURCE)
##    $(CC) $(CFLAGS) $(SOURCE) -o friso

friso: tst-friso.o
	$(CC) tst-friso.o -o ./friso -L. -lfriso

tst-friso.o: friso_API.h friso.h tst-friso.c
	$(CC) $(FFLAGS) -c tst-friso.c

friso.o: friso.c friso.h friso_API.h
	$(CC) $(FFLAGS) -c friso.c -l$(ELIB)

friso_array.o: friso_array.c friso_API.h
	$(CC) $(FFLAGS) -c friso_array.c

friso_hash.o: friso_hash.c friso_API.h
	$(CC) $(FFLAGS) -c friso_hash.c

friso_lexicon.o: friso_hash.c friso_lexicon.c friso_API.h friso.h
	$(CC) $(FFLAGS) -c friso_lexicon.c

friso_link.o: friso_link.c friso_API.h
	$(CC) $(FFLAGS) -c friso_link.c

friso_string.o: friso_string.c friso_API.h
	$(CC) $(FFLAGS) -c friso_string.c

friso_ctype.o: friso_API.h friso_ctype.h friso_ctype.c
	$(CC) $(FFLAGS) -c friso_ctype.c

friso_UTF8.o: friso_API.h friso_ctype.h friso_UTF8.c
	$(CC) $(FFLAGS) -c friso_UTF8.c

friso_GBK.o: friso_API.h friso_ctype.h friso_GBK.c
	$(CC) $(FFLAGS) -c friso_GBK.c

#clean all the object files.
.PHONY: clean
clean:
	find . -name \*.so | xargs rm -f
	find . -name \*.o  | xargs rm -f
	find . -name \*-testing  | xargs rm -f
	@if [ -f friso ];\
	    then\
	    rm -f friso;\
	fi

testing: 
	@echo -n "Try to make all the testing executable files ... \n"
	$(CC) $(FFLAGS) friso_array.c tst-array.c -o array-testing
	$(CC) $(FFLAGS) friso_hash.c tst-hash.c -o hash-testing
	$(CC) $(FFLAGS) friso_link.c tst-link.c -o link-testing
	$(CC) $(FFLAGS) friso_string.c tst-split.c -o split-testing
	$(CC) $(FFLAGS) friso_string.c tst-split.c -o split-testing
	$(CC) $(FFLAGS) friso_string.c friso_UTF8.c tst-string.c -o string-testing
	$(CC) $(FFLAGS) friso.c friso_lexicon.c friso_string.c friso_array.c friso_hash.c friso_link.c friso_ctype.c friso_UTF8.c friso_GBK.c tst-lex.c -lm -o lex-testing

#install friso
install: friso
	@if [ -d $(INSTALL_DIR) ] && [ -d $(LIBRARY_DIR) ];\
	    then\
	    cp friso $(INSTALL_DIR);\
	    chmod a+x $(INSTALL_DIR)/friso;\
	    chmod og-w $(INSTALL_DIR)/friso;\
	    cp $(LIB_FILE) $(LIBRARY_DIR);\
	    chmod a+x $(LIBRARY_DIR)/$(LIB_FILE);\
	    chmod og-w $(LIBRARY_DIR)/$(LIB_FILE);\
	    echo "install friso successfully.";\
	    echo "Usage: friso -init friso configuration file path.";\
	    else\
	    echo "Sorry, $(INSTALL_DIR) or $(LIBRARY_DIR) does not exits.";\
	fi
	@if [ ! -d $(INCLUDE_DIR) ];\
	    then\
	    mkdir $(INCLUDE_DIR);\
	fi
	@cp *.h $(INCLUDE_DIR);\
	chmod a+r $(INCLUDE_DIR)/*.h;\
	chmod a+x $(INCLUDE_DIR)/*.h;

=== binding/ocaml/Makefile ===
PROJECT= friso

CC= gcc

lib: friso.cma friso.cmxa

stub.o: stub.c
	$(CC) -Wall -fPIC -I `ocamlc -where` -c -o $@ $<

friso.cma friso.cmxa: friso.ml stub.o
	ocamlfind ocamlmklib -lfriso -o friso -oc friso_stubs $^

friso.ml: friso.cmi


friso.cmi: friso.mli
	ocamlc $<

.PHONY: install clean

install: lib
	ocamlfind install $(PROJECT) META *.mli *.cmi *.cma *.cmxa *.so *.a

uninstall:
	ocamlfind remove $(PROJECT)

clean:
	rm -f *.o *.cm* *.a *.so

## friso 1.6.4%2Bds

=== debian/control ===
Source: friso
Priority: optional
Maintainer: Kentaro Hayashi <kenhys@xdump.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Section: libs
Homepage: https://github.com/lionsoul2014/friso
Vcs-Browser: https://salsa.debian.org/debian/friso
Vcs-Git: https://salsa.debian.org/debian/friso.git
Rules-Requires-Root: no

Package: friso
Section: text
Architecture: any
Depends:
 libfriso0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Chinese word splitter command
 Friso is an open source high performance Chinese word splitter.
 .
 This package contains configuration file and command line tool.
 You can test friso functionality easily.

Package: libfriso-dev
Section: libdevel
Architecture: any
Depends:
 libfriso0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Chinese word splitter library for development
 Friso is an open source high performance Chinese word splitter.
 .
 This package contains header files for developing a software
 which uses friso as a library.

Package: libfriso0
Architecture: any
Depends:
 friso-dict,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Chinese word splitter library package
 Friso is an open source high performance Chinese word splitter.
 Friso uses the popular mmseg algorithm.
 .
 This package contains runtime library for using friso command.

Package: friso-dict
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Chinese word splitter dictionary package
 Friso is an open source high performance Chinese word splitter.
 Friso uses the popular mmseg algorithm.
 .
 This package contains dictionary files for friso.

## friso 1.6.4+ds

=== debian/changelog ===
friso (1.6.4+ds-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + friso-dict: Add Multi-Arch: foreign.

  * debian/control
    - Bump Standards-Version to 4.7.2. No changes are required.
  * debian/friso-dict.lintian-overrides
    - Fix mismatched overrides

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 16 Mar 2025 17:13:48 +0900

friso (1.6.4+ds-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 27 Nov 2021 21:23:06 +0900

friso (1.6.4+ds-1) unstable; urgency=medium

  * Initial release (Closes: #982836)

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 12 Feb 2021 17:50:48 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/lionsoul2014/friso
 Vcs-Browser: https://salsa.debian.org/debian/friso
@@ -52,6 +52,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Multi-Arch: foreign
 Description: Chinese word splitter dictionary package
  Friso is an open source high performance Chinese word splitter.
  Friso uses the popular mmseg algorithm.

=== debian/tests/control ===
Tests: wo-dao-beijing
Depends: friso, friso-dict, libfriso0, expect
